#!/bin/bash

# Given an alignment coordinate (DNA), return the corresponding position
# according to a reference sequence. 

# Suitable references include GU591769 (HRSV-A) and NC_001803 (HRSV-B),
# according to CP's MSc thesis.

# Usage: pos_in_seq.sh <pos> <ref> <aln>

n2p() {
	n="$1";
	echo $(( (n - 1) / 3 + 1))
}

declare -ir pos="$1"
declare -r refID="$2"
declare -r aln="$3"

# Note: the second sed removes _inner_ gaps
nt_pos_in_ref=$(sed -n -f ~/bin/fasta2csv.sed "$aln" \
	| awk "\$1 ~ /^$refID$/ {print(substr(\$2, 1, $pos))}" \
	| sed 's/\>-\<//g' | tr -d '\n' | wc -c )

n2p $nt_pos_in_ref
