#!/bin/bash

# From a complete (ref+vac) alignment, retains only refs and _selected_
# vaccines, listed in *_kept_vac files - these are (hopefully) "end-of-chain"
# vaccines.

# The expected effect is to reduce the number of positions that are identical by
# descent (and hence not independent).

for subtype in A B ; do \
      for gene in F G L M2 M N NS1 NS2 P SH; do \
        sed -n -f ~/bin/fasta2csv_fullhd.sed int/${subtype}_${gene}_final.msa \
          | grep WILD > ${subtype}_${gene}_final_sampled.csv
        sed -n -f ~/bin/fasta2csv_fullhd.sed int/${subtype}_${gene}_final.msa \
          | grep -f int/${gene}_kept_vac \
          >> ${subtype}_${gene}_final_sampled.csv
        awk -F '* ' '{printf ">%s\n%s\n", $1, $2}' \
          < ${subtype}_${gene}_final_sampled.csv \
          > ${subtype}_${gene}_final_sampled.msa
	done
done
