# This dict maps "free-form" names found (especially) in gene product
# descriptions to a controlled list of valid gene names (NS1, NS2, N, P, M, SH,
# G, F, M2, L).

controlled_names = {
	'f': 'F',
	'F': 'F',
	'F protein': 'F',
	'fusion': 'F',
	'fusion glycoprotein': 'F',
	'fusion protein': 'F',
	'fusion protein F': 'F',
	'fusion protein precursor': 'F',
	'fusion protein prepropolypeptide': 'F',
	'putative fusion glycoprotein': 'F',
	'attachment glycoprotein': 'G',
	'attachment glycoprotein (G)': 'G',
	'attachment glycoprotein G': 'G',
	'attachment protein': 'G',
	'G attachment glycoprotein': 'G',
	'g': 'G',
	'G': 'G',
	'G-gene': 'G',
	'g glycoprotein': 'G',
	'G glycoprotein': 'G',
	'glycoprotein': 'G',
	'Glycoprotein': 'G',
	'glycoprotein G': 'G',
	'G protein': 'G',
	'receptor-binding glycoprotein': 'G',
	'surface glycoprotein G': 'G',
	'truncated attachment glycoprotein': 'G',
	'truncated G glycoprotein': 'G',
	'truncated glycoprotein G': 'G',
	'large polymerase': 'L',
	'large protein': 'L',
	'l': 'L',
	'L': 'L',
	'L polymerase': 'L',
	'L protein': 'L',
	'L viral polymerase': 'L',
	'polymerase': 'L',
	'polymerase L': 'L',
	'putative RNA-directed RNA polymerase L': 'L',
	'RNA-directed RNA polymerase': 'L',
	'RNA-directed RNA polymerase L': 'L',
	'matrix': 'M',
	'matrix protein': 'M',
	'M': 'M',
	'M2-1': 'M2',
	'M2-1 protein': 'M2',
	'M2 (22K)': 'M2',
	'M2 (22K) protein': 'M2',
	'M2-2': 'M2',
	'M2-2 protein': 'M2',
	'M2': 'M2',
	'M2 ORF1 protein': 'M2',
	'M2 ORF2 protein': 'M2',
	'M2 protein': 'M2',
	'matrix protein 2-1': 'M2',
	'matrix protein 2-2': 'M2',
	'putative transcription elongation factor M2-1': 'M2',
	'second matrix protein 1': 'M2',
	'second matrix protein 2': 'M2',
	'transcription elongation factor M2-1': 'M2',
	'transcription-replication factor M2-2': 'M2',
	'n': 'N',
	'N': 'N',
	'nucleocapsid protein': 'N',
	'nucleoprotein': 'N',
	'non-structural protein 1': 'NS1',
	'nonstructural protein 1': 'NS1',
	'NS1 (1C)': 'NS1',
	'NS1': 'NS1',
	'putative non-structural protein 1': 'NS1',
	'non-structural protein 2': 'NS2',
	'nonstructural protein 2': 'NS2',
	'NS2 (1B)': 'NS2',
	'NS2': 'NS2',
	'phosphoprotein': 'P',
	'phosphoprotein P': 'P',
	'p': 'P',
	'P': 'P',
	'SH (1A)': 'SH',
	'SH protein': 'SH',
	'SH': 'SH',
	'small hydrophobic protein': 'SH'
}
